3
0
Fork 0
forked from mirrors/nixpkgs

Merge pull request #150065 from thiagokokada/workaround-issue-144811

nixos-rebuild: switch to tmpDir during rebuilds
This commit is contained in:
Thiago Kenji Okada 2021-12-15 12:01:31 -03:00 committed by GitHub
commit d95c81133f
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -362,14 +362,16 @@ if [ "$action" = edit ]; then
exit 1
fi
ORIGIN_PWD="$PWD"
tmpDir=$(mktemp -t -d nixos-rebuild.XXXXXX)
SSHOPTS="$NIX_SSHOPTS -o ControlMaster=auto -o ControlPath=$tmpDir/ssh-%n -o ControlPersist=60"
cd "$tmpDir"
cleanup() {
for ctrl in "$tmpDir"/ssh-*; do
ssh -o ControlPath="$ctrl" -O exit dummyhost 2>/dev/null || true
done
cd "$ORIGIN_PWD"
rm -rf "$tmpDir"
}
trap cleanup EXIT